Subject: [p2p-sip] FW: P2P-SIP-1.0

From: ksankar at cisco.com (Krishna Sankar (ksankar))
Date: Tue, 28 Mar 2006 07:24:59 -0800

Agreed on all. 
#1, YES. #2, is fine. 
On #3, I assume you are saying we will be in the control path.
On #4, I think we should try the overlayweaver, at least try to abstract
the P2P mechanics  as much as possible.

Cheers
<k/> 

> -----Original Message-----
> From: p2p-sip-bounces at cs.columbia.edu 
> [mailto:p2p-sip-bounces at cs.columbia.edu] On Behalf Of David Barrett
> Sent: Tuesday, March 28, 2006 12:18 AM
> To: p2p-sip at cs.columbia.edu
> Subject: [p2p-sip] P2P-SIP-1.0
> 
> So decision #1 is whether to do something now, or go home and 
> reconvene in
> 12 months.  I vote we do something now.
> 
> Decision #2 is whether we're going to expand SIP to support some list 
> of P2P features, or build a separate P2P system that SIP can leverage.

> I think the latter stands a higher chance of success.
> 
> Decision #3 is what comprises this list.  Decentralized SIP proxy is 
> certainly in.  I vote we do nothing more than that which is required 
> to create an overlay network with bindings for use as a decentralized 
> SIP proxy.
> 
> Decision #4 is whether to use a specific algorithm (Chord, Kademlia, 
> etc), or more abstract representation (ala
> overlayweaver) for the distributed SIP proxy.  I vote we list the axes

> of comparison, rate each option, and then pick one and run with it.
> 
> 
> Thus my proposal is we evaluate DHT options, build a generalized DHT 
> layer, establish clear bindings whereby SIP clients can use this DHT 
> as a proxy, and then iterate.  This is the P2P-SIP-1.0 plan.  This 
> presumes there will be a 2.0 immediately following it, and a 3.0 
> immediately following that.
> 
> What is your proposal?
> 
> -david
> 
> _______________________________________________
> p2p-sip mailing list
> p2p-sip at cs.columbia.edu
> https://lists.cs.columbia.edu/cucslists/listinfo/p2p-sip
>